Bug 168611 - Review Request: linkchecker
Review Request: linkchecker
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://linkchecker.sourceforge.net/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-17 21:33 EDT by W. Michael Petullo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-23 22:41:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2005-09-17 21:33:33 EDT
Spec Name or Url: http://flyn.org/SRPMS/linkchecker.spec
SRPM Name or Url: http://flyn.org/SRPMS/linkchecker-3.2-1.src.rpm
Description:
Linkchecker is a simple script that checks HTML documents for broken links.
Comment 1 Aurelien Bompard 2005-09-25 12:47:11 EDT
- include the LICENSE file in %doc
- mark *.pyo files as %ghost (do not include in package).
Comment 2 W. Michael Petullo 2005-09-26 18:27:22 EDT
Spec Name or Url: http://flyn.org/SRPMS/linkchecker.spec
SRPM Name or Url: http://flyn.org/SRPMS/linkchecker-3.2-2.src.rpm

Made changes recommended by Aurelien.
Comment 3 Aurelien Bompard 2005-09-27 04:49:26 EDT
%{python_sitelib}/linkcheck/ and its subdirs are unowned, please add the
corresponding %dir statements in the %files list.
Everything else looks OK.
Comment 4 W. Michael Petullo 2005-10-23 21:35:32 EDT
Spec Name or Url: http://flyn.org/SRPMS/linkchecker.spec
SRPM Name or Url: http://flyn.org/SRPMS/linkchecker-3.2-3.src.rpm

Made changes recommended by Aurelien.
Comment 5 Aurelien Bompard 2005-10-24 03:23:20 EDT
Review for release 3:
* RPM name is OK
* Source linkchecker-3.2.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of linkchecker looks OK
* File list of linkchecker looks OK
* Works fine.
APPROVED

The latest version is 3.3. Please update after import.

Note You need to log in before you can comment on or make changes to this bug.